Subject: Re: [PATCH] MTD support for the AMCC Taishan

From: Valentine Barshak <[email-masked]>
Date: Thu, 07 Feb 2008 17:05:23 +0300

Imre Kaloz wrote:
> Well, arch/ppc calculates the mtd2 dynamically and doesn't create
> a separate partition for kozio.

That dynamic size calculation depends on the flash size.
The board I use has a 64MB NOR flash (I'm not aware of other Taishan 
boards having chips of different size). So AFAIU if such board exists, 
we'll need a cuboot flash-size fixup.

Thanks,
Valentine.
> 
> I've based this on how it's currently done for the Sequoia, too.
> 
> 
> Imre
> 
> On Thu, 07 Feb 2008 14:46:43 +0100, Valentine Barshak 
> <[email-masked]> wrote:
> 
>> Josh Boyer wrote:
>>> On Thu, 07 Feb 2008 11:29:55 +0100
>>> "Imre Kaloz" <[email-masked]> wrote:
>>>
>>>> *bump*? :) If anything is wrong with it, please let me know.
>>
>> The arch/ppc had a bit different partition table.
>> Something like this:
>> mtd0: 00180000 00040000 "kernel"
>> mtd1: 00200000 00040000 "root"
>> mtd2: 03bc0000 00040000 "user"
>> mtd3: 00080000 00040000 "env"
>> mtd4: 00040000 00040000 "u-boot"
>>
>> Thanks,
>> Valentine.
>>
>>>  Nothing wrong that I could see.  I just need to test it first.
>>>  josh
>>> _______________________________________________
>>> Linuxppc-dev mailing list
>>> [email-masked]
>>> https://ozlabs.org/mailman/listinfo/linuxppc-dev
>>
> 
>